6.0.0-git
2017-05-29

[#8716] Week view events spans are incorrect
Summary Week view events spans are incorrect
Queue Kronolith
Queue Version 2.3.2
Type Bug
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org
Requester arnaud.didry (at) univ-avignon (dot) fr
Created 2009-11-18 (2749 days ago)
Due
Updated 2010-01-13 (2693 days ago)
Assigned 2009-11-29 (2738 days ago)
Resolved 2009-12-01 (2736 days ago)
Milestone 2.3.3
Patch No

History
2010-01-13 00:17:11 CVS Commit Comment #7 Reply to this comment
Changes have been made in Git for this ticket:

Fix obscure event layout bug (Bug #8716). Untested, because I can't 
login to git right now.

http://git.horde.org/diff.php/kronolith/lib/View/Week.php?rt=horde-git&r1=da2812a55a55da147580f9ca3002c42a307fb1f9&r2=cb6617eb017433e477a38cd582ad318167f91ddb
2009-12-01 22:57:25 Jan Schneider Milestone ⇒ 2.3.3
 
2009-12-01 22:56:55 Jan Schneider Version ⇒ 2.3.2
Queue ⇒ Kronolith
 
2009-12-01 22:56:37 Jan Schneider Comment #6
Assigned to Jan Schneider
Taken from Horde DevelopersHorde Developers
State ⇒ Resolved
Reply to this comment
Committed, thanks!
2009-12-01 22:56:05 CVS Commit Comment #5 Reply to this comment
Changes have been made in CVS for this ticket:

MFG: Fix obscure event layout bug (Bug #8716).
http://cvs.horde.org/diff.php/kronolith/lib/Views/Week.php?rt=horde&r1=1.24.2.6&r2=1.24.2.7&ty=u
2009-12-01 22:46:50 CVS Commit Comment #4 Reply to this comment
Changes have been made in Git for this ticket:

Fix obscure event layout bug (Bug #8716). Untested, because I can't 
login to git right now.

http://git.horde.org/diff.php/kronolith/lib/View/Week.php?rt=horde-hatchery&r1=da2812a55a55da147580f9ca3002c42a307fb1f9&r2=cb6617eb017433e477a38cd582ad318167f91ddb
2009-11-29 05:44:09 Chuck Hagenbuch Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
 
2009-11-19 18:00:01 arnaud (dot) didry (at) univ-avignon (dot) fr Comment #3
New Attachment: event_colspan_bug.patch Download
Reply to this comment
Here come the patch
2009-11-19 17:59:18 arnaud (dot) didry (at) univ-avignon (dot) fr Comment #2 Reply to this comment
I think I finally found the origins of the bug.

First, $event->indent was miscalculated because $hspan doesn't count 
empties cells at the beginning of a day, which affected the 
calculation of the coverage graph.

Once this bug was corrected, I found that the span was miscalculated 
when collision occurs between two events : when the first half of an 
event "A" (width indent=0) is in collision with another event "B" 
(with indent=2); it was impossible to calculate the span of event "A" 
once event "B" is finished, affecting the value of hspan and the 
number of empties "td" appended at the end of a timeslot. To fix this, 
I stored the span of an event at its first computation.

The problem of colspan float values is still present, I temporary 
fixed it with "ceil()" but I think that another ticket needs to be 
opened.

It's not related to the bug, but I added a css class to empty cells 
between each day to be able to easily add color to them.

Everything seems to work now, I just need to do some more tests.

Sorry for my poor english, some comments in the patch may need to be 
rewritten.

2009-11-18 13:03:19 arnaud (dot) didry (at) univ-avignon (dot) fr Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Week view events spans are incorrect
Queue ⇒ Horde Groupware Webmail Edition
Milestone ⇒
Patch ⇒ No
New Attachment: screenshot.png Download
Reply to this comment
Hi,

As you can see in the screenshot, colspan are incorrectly calculated 
when events overlap. The bug can easily be reproduced by creating the 
same events.

We are using Horde Groupware Webmail Edtion 1.2.3 with 1.2.4 patch

Thanks for your help

Saved Queries